<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */  
 	 		
class Kupindo_Feed_Block_Adminhtml_Config_Form_Renderer_Website extends Mage_Adminhtml_Block_System_Config_Form_Field
{

    protected function _getElementHtml(Varien_Data_Form_Element_Abstract $element)
    {
    	
    	$html = '';
    	
    	$nameprefix = $element->getName();
    	$idprefix = $element->getId();
    	
    	$element->setName($nameprefix . '[]');
		
    	foreach (Mage::app()->getWebsites() as $website) {
    		$element->setChecked(false);
    		
            $id = $website->getId();
            $name = $website->getName();
            $element->setId($idprefix.'_'.$id);
            $element->setValue($id);
            $element->setClass('kupindo-feed-available-sites');
            $element->setChecked(true);

            if ($id!=0) {
            	$html .= '<div><label>'.$element->getElementHtml().' '.$name.' </label></div>';
            }
        }
        
        $html .= '
        	<input id="'.$idprefix.'_diasbled" type="hidden" disabled="disabled" name="'.$nameprefix.'" />
        	<script type="text/javascript">
        	
        	function updateKupindoFeedWebsites(){
        		
        		$("'.$idprefix.'_diasbled").disabled = "disabled";
        		
        		if($$(".kupindo-feed-available-sites:checked").length >= 0){
    				$$(".kupindo-feed-available-sites").each(function(e){
    					if(!e.checked){
    						e.disabled = "disabled";
    					}
    				});
    				
    			} else {
    				$$(".kupindo-feed-available-sites").each(function(e){
    					if(!e.checked){
    						e.disabled = "";
    					}
    				});
    				if($$(".kupindo-feed-available-sites:checked").length == 0){
    				
    					$("'.$idprefix.'_diasbled").disabled = "";
    				
    				}
    				
    			}
        	}
        	
        	$$(".kupindo-feed-available-sites").each(function(e){
        		e.observe("click", function(){
        			updateKupindoFeedWebsites();
        		});
        	});
  
        	updateKupindoFeedWebsites();
        </script>';
    	return $html;
    	
    }
}