<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 
 
class Kupindo_Feed_Block_Adminhtml_Items_Edit_Tab_Content_Xml extends Mage_Adminhtml_Block_Widget_Form
{

    protected function _prepareForm()
    {
        $form = new Varien_Data_Form();

        if (Mage::registry('kupindo_feed')) {
            $item = Mage::registry('kupindo_feed');
        } else {
            $item = new Varien_Object();
        }

        $this->setForm($form);
        $fieldset = $form->addFieldset('main_fieldset', array('legend' => $this->__('Content Settings')));

        $fieldset->addField('content', 'textarea', array(
                'name'     => 'content',
                'label'    => $this->__('Content'),
                'title'    => $this->__('Content'),
                'required' => true,
                'style'    => 'width:500px;height:250px;'
            )
        );

        $form->setValues($item->getData());
        return parent::_prepareForm();
    }


}