<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 

class Kupindo_Feed_Block_Adminhtml_Items_Mappingexportftp_Tab_File extends Mage_Adminhtml_Block_Widget_Form
{
	
	protected function _prepareLayout()
    {
        $this->setChild('continue_button',
            $this->getLayout()->createBlock('adminhtml/widget_button')
                ->setData(array(
                    'label'     => $this->__('Export'),
            		'type'		=> 'submit',
                    'class'     => 'save',
            		'onclick'	=> 'editForm.submit();return false;'
                    ))
                );
        return parent::_prepareLayout();
    }
    
	
	protected function _prepareForm(){
        
        $form = new Varien_Data_Form();
        
        $this->setForm($form);
        $fieldset = $form->addFieldset('main_fieldset', array('legend' => $this->__('Export Fields to Server')));        
        
        $field = $fieldset->addField('feed_system', 'text', array(
            'name'      => 'feed_system',
            'label'     => $this->__('System'),
            'title'     => $this->__('System'),
            'required'  => true,                        
        ));

        $field = $fieldset->addField('feed_section', 'text', array(
            'name'      => 'feed_section',
            'label'     => $this->__('Template'),
            'title'     => $this->__('Template'),
            'required'  => true,             
            'value'     => "mapping-export-ftp-" . basename(Mage::registry('kupindo_feed')->getFilename()) . ".txt",           
        ));
                
        $fieldset->addField('continue_button', 'note', array(
            'text' => $this->getChildHtml('continue_button'),
        ));
        
        return parent::_prepareForm();
        
    }
    
  
}