<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 

class Kupindo_Feed_Block_Adminhtml_Items_Mappingimport_Tabs extends Mage_Adminhtml_Block_Widget_Tabs
{
    public function __construct(){
    	
        parent::__construct();
        $this->setId('kupindo_feed_tabs');
        $this->setDestElementId('edit_form');
        $this->setTitle($this->__('Import'));
        
    }
    
    protected function _prepareLayout(){
        
        $this->addTab('filter_section', array(
	            'label'     =>  $this->__('Filter Configuration'),
	            'title'     =>  $this->__('Filter Configuration'),
	            'content'   =>  $this->getLayout()->createBlock('adminhtml/template')
	            				->setTemplate('kupindo/feed/item/import/form.phtml')->toHtml(),
	        ));
    	
        return parent::_beforeToHtml();
        
    }
    
}