<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 

$installer = $this;
$installer->startSetup();

$installer->run("
ALTER TABLE `{$this->getTable('kupindo_feed_entity')}` ADD COLUMN `delimiter_prefix` varchar(32) default NULL;
ALTER TABLE `{$this->getTable('kupindo_feed_entity')}` ADD COLUMN `delimiter_sufix` varchar(32) default NULL;
ALTER TABLE `{$this->getTable('kupindo_feed_entity')}` ADD COLUMN `ftp_port` varchar(128) DEFAULT '';
ALTER TABLE `{$this->getTable('kupindo_feed_entity')}` ADD COLUMN `ftp_protocol` varchar(128) DEFAULT '';

");


$kupindo_feed_entity = $installer->getConnection()->fetchAll("
    SELECT * FROM {$this->getTable('kupindo_feed_entity')}
");


foreach ($kupindo_feed_entity as $data){
    $host_info = explode(':', $data['ftp_host']);

    if(isset($host_info[1])){
        $port = $host_info[1];
    }else{
        $port = 21;
    }

    $protocol = $port == 22 ? Kupindo_Feed_Model_Adminhtml_System_Config_Source_Ftp::SFTP : Kupindo_Feed_Model_Adminhtml_System_Config_Source_Ftp::FTP;

    $installer->run("UPDATE {$this->getTable('kupindo_feed_entity')}
                 SET ftp_protocol={$protocol}, ftp_host='".$host_info[0]."', ftp_port={$port}
                WHERE id = {$data['id']}");

}

$installer->endSetup();