<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */  

class Kupindo_Feed_Block_Adminhtml_Helper_Labeldate extends Varien_Data_Form_Element_Label {
	
	public function getValue($index = null) {
		
		$value = parent::getValue($index);
		
		if ('0000-00-00 00:00:00' == $value || ! $value) {
			return '';
		}
		
		$format = $this->_getFormat();
		try {
			$value = Mage::app()->getLocale()->date($value, Varien_Date::DATETIME_INTERNAL_FORMAT)->toString($format);
		}
		catch (Exception $e) {
			$value = Mage::app()->getLocale()->date($value, Varien_Date::DATETIME_INTERNAL_FORMAT)->toString($format);
		}
		
		return $value;
	}
	
	protected function _getFormat() {
		return Mage::app()->getLocale()->getDateTimeFormat(Mage_Core_Model_Locale::FORMAT_TYPE_MEDIUM);	
	}

}
