<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 

class Kupindo_Feed_Block_Adminhtml_Items_Mappingimport extends Mage_Adminhtml_Block_Widget_Form_Container
{
    public function __construct(){
        parent::__construct();
                 
        $this->_objectId = 'id';
        $this->_blockGroup = 'kupindo_feed';
        $this->_controller = 'adminhtml_items';
        $this->_mode = 'mappingimport';
        
        $this->_removeButton('reset');
        $this->_removeButton('delete');
        $this->_removeButton('save');
        
    }
    public function getBackUrl(){
    	
    	if($feed = Mage::registry('kupindo_feed')){
    		return $this->getUrl('*/*/edit', array('id'=>$feed->getId(), 'tab'=>'content_section'));
    	}
    	return $this->getUrl('*/*');
    	
    }
    public function getHeaderText(){
    	
        return $this->__('Import Data');
        
    }
}