<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 
	
class Kupindo_Feed_Model_Adminhtml_System_Config_Source_Notify{
        
    const ERRORS = 1;
    const SUCCESSFULLY_GENERATED = 2;
    const SUCCESSFULLY_UPLOADED = 3;
    
    public function toOptionArray()
    {    	
    	$helper = Mage::helper('kupindo_feed');
    	
        return array(
            array('value' => self::ERRORS, 'label' => $helper->__('Errors')),
            array('value' => self::SUCCESSFULLY_GENERATED, 'label' => $helper->__('File Successfully Generated')),            
            array('value' => self::SUCCESSFULLY_UPLOADED, 'label' => $helper->__('File Successfully Uploaded')),
        );
    }
    
	public static function toOptionHash()
    {    	
    	$helper = Mage::helper('kupindo_feed');
    	
        return array(
            self::ERRORS => $helper->__('Errors'),
            self::SUCCESSFULLY_GENERATED => $helper->__('File Successfully Generated'),            
            self::SUCCESSFULLY_UPLOADED => $helper->__('File Successfully Uploaded'),
        );
    }

}